Bug 89731 - (SOUND NM256_AUDIO)Differently bad sound on Neomagic 256AV (Dell Latitude CPiA)
(SOUND NM256_AUDIO)Differently bad sound on Neomagic 256AV (Dell Latitude CPiA)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-26 21:46 EDT by J.B. Nicholson-Owens
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2003-04-26 21:46:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
On my Dell Latitude CPi A-series there is NeoMagic sound hardware.  RH9
determined the model is "NM2200 [MagicMedia 256AV Audio]" and the appropriate
kernal module is the nm256_audio module.

The first time any user plays a sound nothing but noise comes out of the
speakers for as long as the sound file lasts (and a little afterwards).  If you
stop trying to play the sound eventually the noise stops and all subsequent
sound playing works normally.

A workaround is to start to play something, then stop it, wait for the noise to
stop, and then everything you play after that plays normally.

It would obviously be preferable to have sound work properly without the
first-time noise.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RH9 and specify that all partitions should be deleted.  Workstation
install is sufficient.
2. Update all packages (including kernal) for whatever up2date specifies.
3. Play a sound (or run an application that plays a sound--sometimes I use
Frozen Bubble, but XMMS, or the soundcard detector application work too) and
then stop playing the sound (I can't stop the soundcard detector from playing
the guitar strumming sound file, but the guitar sound file is short so I can
wait it out.  XMMS and Frozen Bubble can be aborted by clicking the stop button,
or pressing escape to stop the game, respectively).
4. Wait for the noise to stop playing.
5. Play sound again and it will be fine.

You'll get noise every time you restart the computer or power down and power
back up.

You can use the soundcard detector application to play a short audio file (the
soundcard detector plays a stereo file of guitar strumming).  If you use this
app and you have not played sound before, you'll get noise.  When the app asks
if you heard the sound properly, say "yes" even though you didn't.  Then wait
for the noise to stop and click the button to hear the sound sample again.  It
will play properly.

Actual Results:  I hear noise the first time I play any sound file.
I wait for the noise to go away.
I hear the sound file properly the second time I play a sound file.

Expected Results:  I should have heard the proper sound the first time.

Additional info: This bug is similar to bug 51902 in that both this bug and that
one involve the same hardware, the same laptop, and RH9.  The outcomes, however,
are not the same--the submitter of that bug heard a cut off sound but I hear
noise the first time a sound is played.
Comment 1 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.